beam-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: beam_PreCommit_Python_Cron #773
Date Tue, 01 Jan 2019 06:08:48 GMT
See <https://builds.apache.org/job/beam_PreCommit_Python_Cron/773/display/redirect>

------------------------------------------
[...truncated 56.73 KB...]
creating '<https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/sdks/python/precommit/dataflow/build/apache-beam-2.10.0.dev0.zip'>
and adding 'apache-beam-2.10.0.dev0' to it
adding 'apache-beam-2.10.0.dev0/setup.cfg'
adding 'apache-beam-2.10.0.dev0/PKG-INFO'
adding 'apache-beam-2.10.0.dev0/apache_beam.egg-info/SOURCES.txt'
adding 'apache-beam-2.10.0.dev0/apache_beam.egg-info/dependency_links.txt'
adding 'apache-beam-2.10.0.dev0/apache_beam.egg-info/entry_points.txt'
adding 'apache-beam-2.10.0.dev0/apache_beam.egg-info/PKG-INFO'
adding 'apache-beam-2.10.0.dev0/apache_beam.egg-info/requires.txt'
adding 'apache-beam-2.10.0.dev0/apache_beam.egg-info/not-zip-safe'
adding 'apache-beam-2.10.0.dev0/apache_beam.egg-info/top_level.txt'
Creating tar archive
removing 'apache-beam-2.10.0.dev0' (and everything under it)
sdist archive name: <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/sdks/python/precommit/dataflow/build/apache-beam-2.10.0.dev0.tar.gz>
:beam-sdks-python-precommit-dataflow:sdist (Thread[Daemon worker,5,main]) completed. Took
4.644 secs.
:beam-sdks-python-precommit-dataflow:installGcpTest (Thread[Daemon worker,5,main]) started.

> Task :beam-sdks-python-precommit-dataflow:installGcpTest
Caching disabled for task ':beam-sdks-python-precommit-dataflow:installGcpTest': Caching has
not been enabled for the task
Task ':beam-sdks-python-precommit-dataflow:installGcpTest' is not up-to-date because:
  Task has not declared any outputs despite executing actions.
Starting process 'command 'sh''. Working directory: <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/sdks/python/precommit/dataflow>
Command: sh -c . <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/build/gradleenv/103898054/bin/activate>
&& pip install -e <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/sdks/python/[gcp,test]>
Successfully started process 'command 'sh''
Obtaining file://<https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/sdks/python>
Collecting crcmod<2.0,>=1.7 (from apache-beam==2.10.0.dev0)
Collecting fastavro<0.22,>=0.21.4 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/e6/81/9ecee4b61514da16e6e11b5bfd3cc35112bc9c2846d846ec7cc1cda0b106/fastavro-0.21.16-cp27-cp27mu-manylinux1_x86_64.whl
Collecting pyarrow<0.12.0,>=0.11.1 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/34/65/a3cd43e1834a748d9650e962ce43083063bf0c778e634d6ae5ca6e62438c/pyarrow-0.11.1-cp27-cp27mu-manylinux1_x86_64.whl
Requirement already satisfied: grpcio<2,>=1.8 in <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/build/gradleenv/103898054/lib/python2.7/site-packages>
(from apache-beam==2.10.0.dev0) (1.17.1)
Collecting hdfs<3.0.0,>=2.1.0 (from apache-beam==2.10.0.dev0)
Collecting httplib2<=0.11.3,>=0.8 (from apache-beam==2.10.0.dev0)
Collecting mock<3.0.0,>=1.0.1 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/e6/35/f187bdf23be87092bd0f1200d43d23076cee4d0dec109f195173fd3ebc79/mock-2.0.0-py2.py3-none-any.whl
Collecting oauth2client<4,>=2.0.1 (from apache-beam==2.10.0.dev0)
Requirement already satisfied: protobuf<4,>=3.5.0.post1 in <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/build/gradleenv/103898054/lib/python2.7/site-packages>
(from apache-beam==2.10.0.dev0) (3.6.1)
Collecting pydot<1.3,>=1.2.0 (from apache-beam==2.10.0.dev0)
Collecting pytz<=2018.4,>=2018.3 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/dc/83/15f7833b70d3e067ca91467ca245bae0f6fe56ddc7451aa0dc5606b120f2/pytz-2018.4-py2.py3-none-any.whl
Collecting pyyaml<4.0.0,>=3.12 (from apache-beam==2.10.0.dev0)
Collecting pyvcf<0.7.0,>=0.6.8 (from apache-beam==2.10.0.dev0)
Requirement already satisfied: futures<4.0.0,>=3.1.1 in <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/build/gradleenv/103898054/lib/python2.7/site-packages>
(from apache-beam==2.10.0.dev0) (3.2.0)
Requirement already satisfied: future<1.0.0,>=0.16.0 in <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/build/gradleenv/103898054/lib/python2.7/site-packages>
(from apache-beam==2.10.0.dev0) (0.16.0)
Collecting avro<2.0.0,>=1.8.1 (from apache-beam==2.10.0.dev0)
Collecting dill<=0.2.8.2,>=0.2.6 (from apache-beam==2.10.0.dev0)
Collecting typing<3.7.0,>=3.6.0 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/cc/3e/29f92b7aeda5b078c86d14f550bf85cff809042e3429ace7af6193c3bc9f/typing-3.6.6-py2-none-any.whl
Collecting google-apitools<=0.5.24,>=0.5.23 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/b2/26/abea123a1b5a2b0c1b49c0d8a2e030725f32ae0932d026f2c7a6ee32c8d3/google_apitools-0.5.24-py2-none-any.whl
Collecting proto-google-cloud-datastore-v1<=0.90.4,>=0.90.0 (from apache-beam==2.10.0.dev0)
Collecting google-cloud-pubsub==0.39.0 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/fc/30/c2e6611c3ffa45816e835b016a2b40bb2bd93f05d1055f78be16a9eb2e4d/google_cloud_pubsub-0.39.0-py2.py3-none-any.whl
Collecting google-cloud-bigquery<1.7.0,>=1.6.0 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/b7/1b/2b95f2fefddbbece38110712c225bfb5649206f4056445653bd5ca4dc86d/google_cloud_bigquery-1.6.1-py2.py3-none-any.whl
Collecting googledatastore<7.1,>=7.0.1 (from apache-beam==2.10.0.dev0)
Collecting nose>=1.3.7 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/99/4f/13fb671119e65c4dce97c60e67d3fd9e6f7f809f2b307e2611f4701205cb/nose-1.3.7-py2-none-any.whl
Collecting pandas<0.24,>=0.23.4 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/b7/e3/f52d484244105fa3d558ce8217a5190cd3d40536076bef66d92d01566325/pandas-0.23.4-cp27-cp27mu-manylinux1_x86_64.whl
Collecting parameterized<0.7.0,>=0.6.0 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/65/d4/b0b626eb263a4c2aa3ca3cd20ea3db410db837f7f6b5d3fc4a6c4bee3631/parameterized-0.6.1-py2.py3-none-any.whl
Collecting numpy<2,>=1.14.3 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/de/37/fe7db552f4507f379d81dcb78e58e05030a8941757b1f664517d581b5553/numpy-1.15.4-cp27-cp27mu-manylinux1_x86_64.whl
Collecting pyhamcrest<2.0,>=1.9 (from apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/9a/d5/d37fd731b7d0e91afcc84577edeccf4638b4f9b82f5ffe2f8b62e2ddc609/PyHamcrest-1.9.0-py2.py3-none-any.whl
Requirement already satisfied: six>=1.0.0 in <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/build/gradleenv/103898054/lib/python2.7/site-packages>
(from pyarrow<0.12.0,>=0.11.1->apache-beam==2.10.0.dev0) (1.12.0)
Requirement already satisfied: enum34>=1.0.4 in <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/build/gradleenv/103898054/lib/python2.7/site-packages>
(from grpcio<2,>=1.8->apache-beam==2.10.0.dev0) (1.1.6)
Collecting docopt (from hdfs<3.0.0,>=2.1.0->apache-beam==2.10.0.dev0)
Collecting requests>=2.7.0 (from hdfs<3.0.0,>=2.1.0->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/7d/e3/20f3d364d6c8e5d2353c72a67778eb189176f08e873c9900e10c0287b84b/requests-2.21.0-py2.py3-none-any.whl
Collecting pbr>=0.11 (from mock<3.0.0,>=1.0.1->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/f3/04/fddc1c2dd75b256eda4d360024692231a2c19a0c61ad7f4a162407c1ab58/pbr-5.1.1-py2.py3-none-any.whl
Collecting funcsigs>=1; python_version < "3.3" (from mock<3.0.0,>=1.0.1->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/69/cb/f5be453359271714c01b9bd06126eaf2e368f1fddfff30818754b5ac2328/funcsigs-1.0.2-py2.py3-none-any.whl
Collecting pyasn1>=0.1.7 (from oauth2client<4,>=2.0.1->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/7b/7c/c9386b82a25115cccf1903441bba3cbadcfae7b678a20167347fa8ded34c/pyasn1-0.4.5-py2.py3-none-any.whl
Collecting pyasn1-modules>=0.0.5 (from oauth2client<4,>=2.0.1->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/59/84/339c2de112d7448d7d4c500b8016783d9eac8981f89ec1d58fdd4685d97f/pyasn1_modules-0.2.3-py2.py3-none-any.whl
Collecting rsa>=3.1.4 (from oauth2client<4,>=2.0.1->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/02/e5/38518af393f7c214357079ce67a317307936896e961e35450b70fad2a9cf/rsa-4.0-py2.py3-none-any.whl
Requirement already satisfied: setuptools in <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/build/gradleenv/103898054/lib/python2.7/site-packages>
(from protobuf<4,>=3.5.0.post1->apache-beam==2.10.0.dev0) (40.6.3)
Collecting pyparsing>=2.1.4 (from pydot<1.3,>=1.2.0->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/71/e8/6777f6624681c8b9701a8a0a5654f3eb56919a01a78e12bf3c73f5a3c714/pyparsing-2.3.0-py2.py3-none-any.whl
Collecting fasteners>=0.14 (from google-apitools<=0.5.24,>=0.5.23->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/14/3a/096c7ad18e102d4f219f5dd15951f9728ca5092a3385d2e8f79a7c1e1017/fasteners-0.14.1-py2.py3-none-any.whl
Collecting googleapis-common-protos<2.0dev,>=1.5.2 (from proto-google-cloud-datastore-v1<=0.90.4,>=0.90.0->apache-beam==2.10.0.dev0)
Collecting google-api-core[grpc]<2.0.0dev,>=1.4.1 (from google-cloud-pubsub==0.39.0->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/8b/01/13758ff9b970008ccf9e0dcc3b86d0e01937d7485b9a2c6142c9c2bdb4da/google_api_core-1.7.0-py2.py3-none-any.whl
Collecting grpc-google-iam-v1<0.12dev,>=0.11.4 (from google-cloud-pubsub==0.39.0->apache-beam==2.10.0.dev0)
Collecting google-cloud-core<0.30dev,>=0.28.0 (from google-cloud-bigquery<1.7.0,>=1.6.0->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/0c/f2/3c225e7a69cb27d283b68bff867722bd066bc1858611180197f711815ea5/google_cloud_core-0.29.1-py2.py3-none-any.whl
Collecting google-resumable-media>=0.2.1 (from google-cloud-bigquery<1.7.0,>=1.6.0->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/e2/5d/4bc5c28c252a62efe69ed1a1561da92bd5af8eca0cdcdf8e60354fae9b29/google_resumable_media-0.3.2-py2.py3-none-any.whl
Collecting python-dateutil>=2.5.0 (from pandas<0.24,>=0.23.4->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/74/68/d87d9b36af36f44254a8d512cbfc48369103a3b9e474be9bdfe536abfc45/python_dateutil-2.7.5-py2.py3-none-any.whl
Collecting certifi>=2017.4.17 (from requests>=2.7.0->hdfs<3.0.0,>=2.1.0->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/9f/e0/accfc1b56b57e9750eba272e24c4dddeac86852c2bebd1236674d7887e8a/certifi-2018.11.29-py2.py3-none-any.whl
Collecting chardet<3.1.0,>=3.0.2 (from requests>=2.7.0->hdfs<3.0.0,>=2.1.0->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl
Collecting idna<2.9,>=2.5 (from requests>=2.7.0->hdfs<3.0.0,>=2.1.0->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/14/2c/cd551d81dbe15200be1cf41cd03869a46fe7226e7450af7a6545bfc474c9/idna-2.8-py2.py3-none-any.whl
Collecting urllib3<1.25,>=1.21.1 (from requests>=2.7.0->hdfs<3.0.0,>=2.1.0->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/62/00/ee1d7de624db8ba7090d1226aebefab96a2c71cd5cfa7629d6ad3f61b79e/urllib3-1.24.1-py2.py3-none-any.whl
Collecting monotonic>=0.1 (from fasteners>=0.14->google-apitools<=0.5.24,>=0.5.23->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/ac/aa/063eca6a416f397bd99552c534c6d11d57f58f2e94c14780f3bbf818c4cf/monotonic-1.5-py2.py3-none-any.whl
Collecting google-auth<2.0dev,>=0.4.0 (from google-api-core[grpc]<2.0.0dev,>=1.4.1->google-cloud-pubsub==0.39.0->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/4e/85/71b2dfbf5b4241cd031cc333ed71f90a271074a97cb2c517bb65f07a1a90/google_auth-1.6.2-py2.py3-none-any.whl
Collecting cachetools>=2.0.0 (from google-auth<2.0dev,>=0.4.0->google-api-core[grpc]<2.0.0dev,>=1.4.1->google-cloud-pubsub==0.39.0->apache-beam==2.10.0.dev0)
  Using cached https://files.pythonhosted.org/packages/76/7e/08cd3846bebeabb6b1cfc4af8aae649d90249b4aeed080bddb5297f1d73b/cachetools-3.0.0-py2.py3-none-any.whl
Installing collected packages: crcmod, fastavro, numpy, pyarrow, docopt, certifi, chardet,
idna, urllib3, requests, hdfs, httplib2, pbr, funcsigs, mock, pyasn1, pyasn1-modules, rsa,
oauth2client, pyparsing, pydot, pytz, pyyaml, pyvcf, avro, dill, typing, monotonic, fasteners,
google-apitools, googleapis-common-protos, proto-google-cloud-datastore-v1, cachetools, google-auth,
google-api-core, grpc-google-iam-v1, google-cloud-pubsub, google-cloud-core, google-resumable-media,
google-cloud-bigquery, googledatastore, nose, python-dateutil, pandas, parameterized, pyhamcrest,
apache-beam
  Running setup.py develop for apache-beam
Successfully installed apache-beam avro-1.8.2 cachetools-3.0.0 certifi-2018.11.29 chardet-3.0.4
crcmod-1.7 dill-0.2.8.2 docopt-0.6.2 fastavro-0.21.16 fasteners-0.14.1 funcsigs-1.0.2 google-api-core-1.7.0
google-apitools-0.5.24 google-auth-1.6.2 google-cloud-bigquery-1.6.1 google-cloud-core-0.29.1
google-cloud-pubsub-0.39.0 google-resumable-media-0.3.2 googleapis-common-protos-1.5.5 googledatastore-7.0.2
grpc-google-iam-v1-0.11.4 hdfs-2.2.2 httplib2-0.11.3 idna-2.8 mock-2.0.0 monotonic-1.5 nose-1.3.7
numpy-1.15.4 oauth2client-3.0.0 pandas-0.23.4 parameterized-0.6.1 pbr-5.1.1 proto-google-cloud-datastore-v1-0.90.4
pyarrow-0.11.1 pyasn1-0.4.5 pyasn1-modules-0.2.3 pydot-1.2.4 pyhamcrest-1.9.0 pyparsing-2.3.0
python-dateutil-2.7.5 pytz-2018.4 pyvcf-0.6.8 pyyaml-3.13 requests-2.21.0 rsa-4.0 typing-3.6.6
urllib3-1.24.1
:beam-sdks-python-precommit-dataflow:installGcpTest (Thread[Daemon worker,5,main]) completed.
Took 15.877 secs.
:beam-sdks-python-precommit-dataflow:precommitIT (Thread[Daemon worker,5,main]) started.

> Task :beam-sdks-python-precommit-dataflow:precommitIT
Caching disabled for task ':beam-sdks-python-precommit-dataflow:precommitIT': Caching has
not been enabled for the task
Task ':beam-sdks-python-precommit-dataflow:precommitIT' is not up-to-date because:
  Task has not declared any outputs despite executing actions.
Starting process 'command 'sh''. Working directory: <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/sdks/python/precommit/dataflow>
Command: sh -c . <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/build/gradleenv/103898054/bin/activate>
&& <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/sdks/python/scripts/run_integration_test.sh>
--test_opts "--tests=apache_beam.examples.wordcount_it_test:WordCountIT.test_wordcount_it,apache_beam.examples.streaming_wordcount_it_test:StreamingWordCountIT.test_streaming_wordcount_it
--nocapture --processes=2 --process-timeout=1800"
Successfully started process 'command 'sh''


###########################################################################
# Build pipeline options if not provided in --pipeline_opts from commandline

if [[ -z $PIPELINE_OPTS ]]; then

  # Check that the script is running in a known directory.
  if [[ $PWD != *sdks/python* ]]; then
    echo 'Unable to locate Apache Beam Python SDK root directory'
    exit 1
  fi

  # Go to the Apache Beam Python SDK root
  if [[ "*sdks/python" != $PWD ]]; then
    cd $(pwd | sed 's/sdks\/python.*/sdks\/python/')
  fi

  # Create a tarball if not exists
  if [[ $(find ${SDK_LOCATION}) ]]; then
    SDK_LOCATION=$(find ${SDK_LOCATION})
  else
    python setup.py -q sdist
    SDK_LOCATION=$(find dist/apache-beam-*.tar.gz)
  fi

  # Install test dependencies for ValidatesRunner tests.
  echo "pyhamcrest" > postcommit_requirements.txt
  echo "mock" >> postcommit_requirements.txt

  # Options used to run testing pipeline on Cloud Dataflow Service. Also used for
  # running on DirectRunner (some options ignored).
  opts=(
    "--runner=$RUNNER"
    "--project=$PROJECT"
    "--staging_location=$GCS_LOCATION/staging-it"
    "--temp_location=$GCS_LOCATION/temp-it"
    "--output=$GCS_LOCATION/py-it-cloud/output"
    "--sdk_location=$SDK_LOCATION"
    "--requirements_file=postcommit_requirements.txt"
    "--num_workers=$NUM_WORKERS"
    "--sleep_secs=$SLEEP_SECS"
  )

  # Add --streaming if provided
  if [[ "$STREAMING" = true ]]; then
    opts+=("--streaming")
  fi

  # Add --dataflow_worker_jar if provided
  if [[ ! -z "$WORKER_JAR" ]]; then
    opts+=("--dataflow_worker_jar=$WORKER_JAR")
  fi

  if [[ ! -z "$KMS_KEY_NAME" ]]; then
    opts+=("--kms_key_name=$KMS_KEY_NAME")
  fi

  PIPELINE_OPTS=$(IFS=" " ; echo "${opts[*]}")

fi
pwd | sed 's/sdks\/python.*/sdks\/python/'
find ${SDK_LOCATION}
find: ‘build/apache-beam.tar.gz’: No such file or directory
<https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/build/gradleenv/103898054/local/lib/python2.7/site-packages/setuptools/dist.py>:470:
UserWarning: Normalizing '2.10.0.dev' to '2.10.0.dev0'
  normalized_version,
warning: no files found matching 'README.md'
warning: no files found matching 'NOTICE'
warning: no files found matching 'LICENSE'
warning: cmd: standard file not found: should have one of README, README.rst, README.txt,
README.md

find dist/apache-beam-*.tar.gz
IFS=" " ; echo "${opts[*]}"

###########################################################################
# Run tests and validate that jobs finish successfully.

echo ">>> RUNNING integration tests with pipeline options: $PIPELINE_OPTS"
>>> RUNNING integration tests with pipeline options: --runner=TestDataflowRunner
--project=apache-beam-testing --staging_location=gs://temp-storage-for-end-to-end-tests/staging-it
--temp_location=gs://temp-storage-for-end-to-end-tests/temp-it --output=gs://temp-storage-for-end-to-end-tests/py-it-cloud/output
--sdk_location=dist/apache-beam-2.10.0.dev0.tar.gz --requirements_file=postcommit_requirements.txt
--num_workers=1 --sleep_secs=20 --kms_key_name=projects/apache-beam-testing/locations/global/keyRings/beam-it/cryptoKeys/test/cryptoKeyVersions/1
python setup.py nosetests \
  --test-pipeline-options="$PIPELINE_OPTS" \
  $TEST_OPTS
<https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/build/gradleenv/103898054/local/lib/python2.7/site-packages/setuptools/dist.py>:470:
UserWarning: Normalizing '2.10.0.dev' to '2.10.0.dev0'
  normalized_version,
running nosetests
running egg_info
writing requirements to apache_beam.egg-info/requires.txt
writing apache_beam.egg-info/PKG-INFO
writing top-level names to apache_beam.egg-info/top_level.txt
writing dependency_links to apache_beam.egg-info/dependency_links.txt
writing entry points to apache_beam.egg-info/entry_points.txt
reading manifest file 'apache_beam.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
warning: no files found matching 'README.md'
warning: no files found matching 'NOTICE'
warning: no files found matching 'LICENSE'
writing manifest file 'apache_beam.egg-info/SOURCES.txt'
test_streaming_wordcount_it (apache_beam.examples.streaming_wordcount_it_test.StreamingWordCountIT)
... ok
test_wordcount_it (apache_beam.examples.wordcount_it_test.WordCountIT) ... ok

----------------------------------------------------------------------
XML: <https://builds.apache.org/job/beam_PreCommit_Python_Cron/ws/src/sdks/python/nosetests.xml>
----------------------------------------------------------------------
Ran 2 tests in 456.184s

OK
Found: https://console.cloud.google.com/dataflow/jobsDetail/locations/us-central1/jobs/2018-12-31_22_01_18-2753429975014707970?project=apache-beam-testing.
Found: https://console.cloud.google.com/dataflow/jobsDetail/locations/us-central1/jobs/2018-12-31_22_01_20-15984044529863321390?project=apache-beam-testing.
:beam-sdks-python-precommit-dataflow:precommitIT (Thread[Daemon worker,5,main]) completed.
Took 7 mins 39.332 secs.

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':beam-sdks-python:setupVirtualenv'.
> Process 'command 'sh'' finished with non-zero exit value 1

* Try:
Run with --stacktrace option to get the stack trace. Run with --debug option to get more log
output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 8m 19s
5 actionable tasks: 5 executed

Publishing build scan...
https://gradle.com/s/remj4vdf7nado

Build step 'Invoke Gradle script' changed build result to FAILURE
Build step 'Invoke Gradle script' marked build as failure

---------------------------------------------------------------------
To unsubscribe, e-mail: builds-unsubscribe@beam.apache.org
For additional commands, e-mail: builds-help@beam.apache.org


Mime
View raw message